package com.ai.da.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderStatusEnum {
    /**
     * 未支付
     */
    NOT_PAY("未支付"),
    /**
     * 支付成功
     */
    SUCCESS("支付成功"),
    /**
     * 支付失败
     */
    FAILURE("支付失败"),
    /**
     * 已关闭
     */
    TIMEOUT_CLOSED("超时已关闭"),
    /**
     * 已取消
     */
    CANCEL("用户已取消"),
    /**
     * 退款中
     */
    REFUND_PROCESSING("退款中"),
    /**
     * 已退款
     */
    REFUND_SUCCESS("已退款"),
    /**
     * 退款异常
     */
    REFUND_ABNORMAL("退款异常"),
    /**
     * paypal订单状态为 APPROVED
     */
    ORDER_PROCESSING("订单处理中");

    /**
     * 类型
     */
    private final String type;
}
